For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
        • GETList Push Credentials
        • POSTCreate Push Credential
        • GETFetch a Push Credential
        • DELDelete a Push Credential
        • PATCHUpdate a Push Credential
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush NotificationsCredentials

List Push Credentials

GET
https://comms.twilio.com/v1/PushNotifications/Credentials
GET
/v1/PushNotifications/Credentials
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.credentials.list({});
9}
10main();
1{
2 "credentials": [
3 {
4 "id": "comms_credential_8qn6ywvpsqzf8eeekrpwrk9h10",
5 "credentialType": "APN",
6 "isDefault": true,
7 "appName": "limonade_app",
8 "createdAt": "2023-08-31T14:15:22Z",
9 "updatedAt": "2023-08-31T14:15:22Z"
10 },
11 {
12 "id": "comms_credential_01h9krwprkeee8fzqspvwy6nq8",
13 "credentialType": "FCM",
14 "isDefault": true,
15 "appName": "limonade_app",
16 "createdAt": "2023-08-31T14:15:22Z",
17 "updatedAt": "2023-08-31T14:15:22Z"
18 }
19 ],
20 "pagination": {
21 "next": null,
22 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
23 }
24}
This operation fetches a paginated list of Push Credentials.
Was this page helpful?
Previous

Create Push Credential

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

startDatestringOptionalformat: "date-time"
Filter to Push Credentials created after the specified date and time.
endDatestringOptionalformat: "date-time"
Filter to Push Credentials created before the specified date and time.
appNamestringOptionalformat: "^[a-z0-9_]+$"1-64 characters
Filter Push Credentials by App name
credentialTypeenumOptional
Filter Push Credentials by type.
Allowed values:
isDefaultbooleanOptional

Filter only is_default credentials.

pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
credentialslist of objects
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error